OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.FramebufferObjects.FramebufferObjects

Description

# Documentation

data FramebufferObject Source

Constructors

FramebufferObject GLuint |

Instances

ObjectName FramebufferObject |

defaultFramebufferObject :: FramebufferObject Source

data FramebufferTarget Source

Constructors

DrawFramebuffer |
ReadFramebuffer |
Framebuffer |

marshalFramebufferTarget :: FramebufferTarget -> GLenum Source

bindFramebuffer :: FramebufferTarget -> StateVar FramebufferObject Source

data FramebufferStatus Source

Constructors

Complete |
Undefined |
IncompleteMissingAttachment |
IncompleteDrawBuffer |
IncompleteReadBuffer |
IncompleteMultiSample |
Unsupported |

framebufferStatus :: FramebufferTarget -> GettableStateVar FramebufferStatus Source